Bug 22122 - Make sequence of Z39.50 search options match in acq and cataloguing
Summary: Make sequence of Z39.50 search options match in acq and cataloguing
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Cataloging (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Ethan
QA Contact: Testopia
URL:
Keywords: Academy
Depends on:
Blocks:
 
Reported: 2019-01-13 20:57 UTC by Katrin Fischer
Modified: 2019-02-25 07:07 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 22122: Rearranged inputs from a patrons basket in Acquisitions. (2.44 KB, patch)
2019-01-16 03:32 UTC, Ethan
Details | Diff | Splinter Review
Screenshot showing differing field orders (24.67 KB, image/png)
2019-01-16 13:14 UTC, Owen Leonard
Details
Bug 22122: Rearranged inputs from a patrons basket in Acquisitions. (3.33 KB, patch)
2019-01-16 20:50 UTC, Ethan
Details | Diff | Splinter Review
Bug 22122: Rearranged inputs from a patrons basket in Acquisitions. (3.37 KB, patch)
2019-01-17 00:13 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 22122: Rearranged inputs from a patrons basket in Acquisitions. (3.44 KB, patch)
2019-01-17 06:48 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2019-01-13 20:57:20 UTC
While we offer the same search options for Z39.50 search in catalouging and acquisition the sequence of search options is totally different. This seems unnecessary from a functional point of view and only confusing.

Personally, I'd prefer cataloguing as it has ISBN and ISSN together at the top, followed by title and author grouped together.
Comment 1 Ethan 2019-01-16 03:32:15 UTC Comment hidden (obsolete)
Comment 2 Owen Leonard 2019-01-16 13:14:25 UTC
Created attachment 84061 [details]
Screenshot showing differing field orders

The changes in this patch are good, but as shown in the screenshot more changes are needed
Comment 3 Ethan 2019-01-16 20:50:29 UTC Comment hidden (obsolete)
Comment 4 Owen Leonard 2019-01-17 00:13:44 UTC
Created attachment 84108 [details] [review]
Bug 22122: Rearranged inputs from a patrons basket in Acquisitions.

Test Plan:
1. From home page, go to "Acquisitions"
2. Add a test vendor under "New vendor"
3. Give the vendor any name and click "Save"
4. Click "New Basket"
5. Give the basket a name and click "Save"
6. Click on "Add to basket"
7. Click on "From an external source"
8. Note the order of inputs (ISBN, ISSN, Title...)
9. Go back to the homepage
10. Go to "Cataloging"
11. Click on "New from Z39.50/SRU" button. A new window should open
12. The order of inputs under 'Z39.50/SRU Search' should all match the
order of inputs from step 8. (Except "Select MARC framework)

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 5 Katrin Fischer 2019-01-17 06:48:16 UTC
Created attachment 84129 [details] [review]
Bug 22122: Rearranged inputs from a patrons basket in Acquisitions.

Test Plan:
1. From home page, go to "Acquisitions"
2. Add a test vendor under "New vendor"
3. Give the vendor any name and click "Save"
4. Click "New Basket"
5. Give the basket a name and click "Save"
6. Click on "Add to basket"
7. Click on "From an external source"
8. Note the order of inputs (ISBN, ISSN, Title...)
9. Go back to the homepage
10. Go to "Cataloging"
11. Click on "New from Z39.50/SRU" button. A new window should open
12. The order of inputs under 'Z39.50/SRU Search' should all match the
order of inputs from step 8. (Except "Select MARC framework)

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 6 Nick Clemens 2019-01-18 21:00:21 UTC
Awesome work all!

Pushed to master for 19.05
Comment 7 Martin Renvoize 2019-01-31 16:17:17 UTC
Pushed to 18.11.x for 18.11.03
Comment 8 Lucas Gass 2019-02-01 19:15:58 UTC
pushed to 18.05.x for 18.05.09
Comment 9 Fridolin SOMERS 2019-02-04 09:39:35 UTC
Pushed to 17.11.x for 17.11.15